# Vault Configuration

Upon deployment, each strategy vault can be configured by Notional governance via various settings. These settings will be managed by NOTE governance but vault designers are encouraged to give input on reasonable ranges.

**Borrow Currency:** the currency that will be borrowed from Notional and the denomination of the yield strategy tokens valuation.

**Maximum Borrow Capacity:** this is the maximum amount of fCash that can be borrowed across all maturities for the vault.

**Min Account Borrow Size:** A minimum amount of the borrowed currency (in fCash denomination) required for an account to hold. This will be roughly based on the gas costs required to liquidate a position.

**Fee Rate:** An annualized percentage of the total cash borrowed that will be paid by accounts for using vaults.

**Min Collateral Ratio:** The minimum collateral ratio acceptable before liquidation. Vault designers are encouraged to give input on a reasonable range for this value given historical data and potential volatility.

**Min Deleverage Collateral Ratio:** Liquidators can deleverage accounts up to this collateral ratio during liquidation. This value will be set in combination with the liquidation rate and the min account borrow size to ensure that liquidations remain profitable.

**Liquidation Rate:** A discount given to liquidators as profit during liquidation.

**Reserve Fee Share:** The share of the fee that is sent to the Notional reserve. The nToken will receive the other portion of the reserve fee share.

**Max Borrow Market Index:** The maximum borrow market index, most vaults will choose 2 as the value meaning that 3 month and 6 month maturity borrowing is supported. Borrowing at the 1 year maturity means that accounts will become idiosyncratic for portions of time and users would be unable to exit.

**Secondary Borrow Currencies:** Allows a vault to borrow up to two additional currencies to the primary borrow currency. There are special requirements for enabling this feature and should be discussed in depth if vault designers want to pursue this route.

{% hint style="warning" %}
Notional Governors retain the ability to call `reduceMaxBorrowCapacity` on the `VaultAction` contract. This allows governance to reduce the maximum borrow capacity as well as unwind strategy tokens to cash in any vault. This will be done in an emergency scenario to protect Notional funds.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/developer-documentation/how-to/leveraged-vaults/vault-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
